<?php 

register_open_problems_summary_dashlet();
function register_open_problems_summary_dashlet() {

    $dashlet_opts = array(
        DASHLET_NAME        => 'open_problems_summary',
        DASHLET_TYPE        => DASHLET_TYPE_COMPONENT,
        DASHLET_SERVER_TYPE => SERVER_TYPE_XI | SERVER_TYPE_CORE,
        DASHLET_VERSION     => '4.0.0',
        DASHLET_DATE        => '04/04/2017',
        DASHLET_AUTHOR      => 'Nagios Enterprises',
        DASHLET_DESCRIPTION => _('Summary of all open problems'),
        DASHLET_COPYRIGHT   => '&copy; 2017 Nagios Enterprises, LLC',
        DASHLET_HOMEPAGE    => 'www.nagios.com',
        DASHLET_LICENSE     => _('Nagios Software License'),
        DASHLET_PREVIEW     => get_components_base_url() . 'noc/dashlets/previews/open_problems_summary.png',
        DASHLET_LOAD_URL    => get_components_base_url() . 'noc/dashlets/open_problems_summary.php',
        DASHLET_TITLE       => _('Open Problems Summary'),
        DASHLET_PARAMS      => 'noc_component_dashlet_params',
        DASHLET_WIDTH       => 630,
        DASHLET_HEIGHT      => 120,
        );

    register_dashlet($dashlet_opts);

}
